| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSEndpointQos Class Reference

`#include <QosPolicies.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | RTPSEndpointQos ()=default
virtual FASTDDS_EXPORTED_API | ~RTPSEndpointQos ()=default
void | clear ()
bool | operator== (const RTPSEndpointQos &b) const

## Public Attributes

rtps::LocatorList | unicast_locator_list
| Unicast locator list.
rtps::LocatorList | multicast_locator_list
| Multicast locator list.
rtps::LocatorList | remote_locator_list
| Remote locator list.
fastdds::rtps::ExternalLocators | external_unicast_locators
| The collection of external locators to use for communication.
bool | ignore_non_matching_locators = false
| Whether locators that don't match with the announced locators should be kept.
int16_t | user_defined_id = -1
| User Defined ID, used for StaticEndpointDiscovery. By default, -1.
int16_t | entity_id = -1
| Entity ID, if the user wants to specify the EntityID of the endpoint. By default, -1.
fastdds::rtps::MemoryManagementPolicy_t | history_memory_policy
| Underlying History memory policy. By default, PREALLOCATED_WITH_REALLOC_MEMORY_MODE.

## Constructor & Destructor Documentation

## ◆ RTPSEndpointQos()

FASTDDS_EXPORTED_API RTPSEndpointQos | ( |  | ) |

default

## ◆ ~RTPSEndpointQos()

virtual FASTDDS_EXPORTED_API ~RTPSEndpointQos | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const RTPSEndpointQos & | b | ) | const

inline

## Member Data Documentation

## ◆ entity_id

int16_t entity_id = -1

Entity ID, if the user wants to specify the EntityID of the endpoint.
By default, -1.

## ◆ external_unicast_locators

fastdds::rtps::ExternalLocators external_unicast_locators

The collection of external locators to use for communication.

## ◆ history_memory_policy

fastdds::rtps::MemoryManagementPolicy_t history_memory_policy

Initial value:
=
fastdds::rtps::PREALLOCATED_WITH_REALLOC_MEMORY_MODE
eprosima::fastdds::rtps::PREALLOCATED_WITH_REALLOC_MEMORY_MODE
@ PREALLOCATED_WITH_REALLOC_MEMORY_MODE
Default size preallocated, requires reallocation when a bigger message arrives.
Definition ResourceManagement.hpp:35

Underlying History memory policy.
By default, PREALLOCATED_WITH_REALLOC_MEMORY_MODE.

## ◆ ignore_non_matching_locators

bool ignore_non_matching_locators = false

Whether locators that don't match with the announced locators should be kept.

## ◆ multicast_locator_list

rtps::LocatorList multicast_locator_list

Multicast locator list.

## ◆ remote_locator_list

rtps::LocatorList remote_locator_list

Remote locator list.

## ◆ unicast_locator_list

rtps::LocatorList unicast_locator_list

Unicast locator list.

## ◆ user_defined_id

int16_t user_defined_id = -1

User Defined ID, used for StaticEndpointDiscovery.
By default, -1.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp